# loadcanvas.h File Reference

writeme More...

`#include "string.h"`
`#include "canvas.h"`
`#include "valuenode.h"`
`#include "vector.h"`
`#include "value.h"`
`#include "valuenode_subtract.h"`
`#include "valuenode_animated.h"`
`#include "valuenode_composite.h"`
`#include "valuenode_dynamiclist.h"`
`#include "keyframe.h"`
`#include "guid.h"`

Go to the source code of this file.

## Namespaces

namespace | xmlpp
namespace | synfig

## Classes

class | synfig::CanvasParser

## Functions

Canvas::Handle | synfig::open_canvas (const String &filename, String &errors, String &warnings)
| Loads a canvas from filename.
Canvas::Handle | synfig::open_canvas_as (const String &filename, const String &as, String &errors, String &warnings)
std::map< synfig::String, etl::loose_handle< Canvas > > & | synfig::get_open_canvas_map ()

## Detailed Description

writeme

$Id$